| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
pref_module Struct Reference

## Public Attributes
const char * | name
const char * | title
const char * | description
const char * | help
void(* | apply_cb )(void)
wmem_allocator_t * | scope
GList * | prefs
struct pref_module * | parent
wmem_tree_t * | submodules
int | numprefs
unsigned int | prefs_changed_flags
bool | obsolete
bool | use_gui
unsigned int | effect_flags

## Member Data Documentation

## ◆ apply_cb

void(* pref_module::apply_cb) (void)

routine to call when preferences applied

## ◆ description

const char* pref_module::description

Description of module (displayed in preferences notebook)

## ◆ effect_flags

unsigned int pref_module::effect_flags

Flags of types effected by preference (PREF_EFFECT_DISSECTION, PREF_EFFECT_CAPTURE, etc). These flags will be set in all module's preferences on creation. Flags must be non-zero to ensure saving to disk

## ◆ help

const char* pref_module::help

Module help page (passed to user_guide_url() to generate a URL)

## ◆ name

const char* pref_module::name

name of module

## ◆ numprefs

int pref_module::numprefs

number of non-obsolete preferences

## ◆ obsolete

bool pref_module::obsolete

if true, this is a module that used to exist but no longer does

## ◆ parent

struct pref_module* pref_module::parent

parent module

## ◆ prefs

GList* pref_module::prefs

list of its preferences

## ◆ prefs_changed_flags

unsigned int pref_module::prefs_changed_flags

Bitmask of the types of changes done by module preferences since we last checked

## ◆ scope

wmem_allocator_t* pref_module::scope

memory scope allocator for this module

## ◆ submodules

wmem_tree_t* pref_module::submodules

list of its submodules

## ◆ title

const char* pref_module::title

title of module (displayed in preferences list)

## ◆ use_gui

bool pref_module::use_gui

Determines whether or not the module will use the generic GUI interface/APIs with the preference value or if its own independent GUI will be provided. This allows all preferences to have a common API for reading/writing, but not require them to use simple GUI controls to change the options. In general, the "general" Wireshark preferences should have this set to false, while the protocol modules will have this set to true

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/prefs-int.h